Package org.apache.synapse.transport.passthru.jmx

## Class TransportView

- java.lang.Object
- - org.apache.synapse.transport.passthru.jmx.TransportView

- All Implemented Interfaces:
    `TransportViewMBean`

      public class TransportView
      extends Object
      implements TransportViewMBean

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TransportView​(PassThroughHttpListener listener, PassThroughHttpSender sender, PassThroughTransportMetricsCollector metrics, org.apache.axis2.transport.base.threads.WorkerPool threadPool)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getActiveThreadCount()` |
    `double` | `getAvgSizeReceived()` |
    `double` | `getAvgSizeSent()` |
    `long` | `getBytesReceived()` |
    `long` | `getBytesSent()` |
    `long` | `getFaultsReceiving()` |
    `long` | `getFaultsSending()` |
    `long` | `getLastResetTime()` |
    `long` | `getMaxSizeReceived()` |
    `long` | `getMaxSizeSent()` |
    `long` | `getMessagesReceived()` |
    `long` | `getMessagesSent()` |
    `long` | `getMetricsWindow()` |
    `long` | `getMinSizeReceived()` |
    `long` | `getMinSizeSent()` |
    `int` | `getQueueSize()` |
    `Map` | `getResponseCodeTable()` |
    `long` | `getTimeoutsReceiving()` |
    `long` | `getTimeoutsSending()` |
    `void` | `maintenenceShutdown​(long l)` |
    `void` | `pause()` |
    `void` | `resetStatistics()` |
    `void` | `resume()` |
    `void` | `start()` |
    `void` | `stop()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TransportView

          public TransportView​(PassThroughHttpListener listener,
                               PassThroughHttpSender sender,
                               PassThroughTransportMetricsCollector metrics,
                               org.apache.axis2.transport.base.threads.WorkerPool threadPool)
                        throws org.apache.axis2.AxisFault

      Throws:
        `org.apache.axis2.AxisFault`

  - ### Method Detail

    - #### pause

          public void pause()
                     throws org.apache.axis2.AxisFault

      Specified by:
        `pause` in interface `TransportViewMBean`
      Throws:
        `org.apache.axis2.AxisFault`

    - #### resume

          public void resume()
                      throws org.apache.axis2.AxisFault

      Specified by:
        `resume` in interface `TransportViewMBean`
      Throws:
        `org.apache.axis2.AxisFault`

    - #### maintenenceShutdown

          public void maintenenceShutdown​(long l)
                                   throws org.apache.axis2.AxisFault

      Specified by:
        `maintenenceShutdown` in interface `TransportViewMBean`
      Throws:
        `org.apache.axis2.AxisFault`

    - #### getActiveThreadCount

          public int getActiveThreadCount()

      Specified by:
        `getActiveThreadCount` in interface `TransportViewMBean`

    - #### getQueueSize

          public int getQueueSize()

      Specified by:
        `getQueueSize` in interface `TransportViewMBean`

    - #### getMessagesReceived

          public long getMessagesReceived()

      Specified by:
        `getMessagesReceived` in interface `TransportViewMBean`

    - #### getFaultsReceiving

          public long getFaultsReceiving()

      Specified by:
        `getFaultsReceiving` in interface `TransportViewMBean`

    - #### getBytesReceived

          public long getBytesReceived()

      Specified by:
        `getBytesReceived` in interface `TransportViewMBean`

    - #### getMessagesSent

          public long getMessagesSent()

      Specified by:
        `getMessagesSent` in interface `TransportViewMBean`

    - #### getFaultsSending

          public long getFaultsSending()

      Specified by:
        `getFaultsSending` in interface `TransportViewMBean`

    - #### getBytesSent

          public long getBytesSent()

      Specified by:
        `getBytesSent` in interface `TransportViewMBean`

    - #### getTimeoutsReceiving

          public long getTimeoutsReceiving()

      Specified by:
        `getTimeoutsReceiving` in interface `TransportViewMBean`

    - #### getTimeoutsSending

          public long getTimeoutsSending()

      Specified by:
        `getTimeoutsSending` in interface `TransportViewMBean`

    - #### getMinSizeReceived

          public long getMinSizeReceived()

      Specified by:
        `getMinSizeReceived` in interface `TransportViewMBean`

    - #### getMaxSizeReceived

          public long getMaxSizeReceived()

      Specified by:
        `getMaxSizeReceived` in interface `TransportViewMBean`

    - #### getAvgSizeReceived

          public double getAvgSizeReceived()

      Specified by:
        `getAvgSizeReceived` in interface `TransportViewMBean`

    - #### getMinSizeSent

          public long getMinSizeSent()

      Specified by:
        `getMinSizeSent` in interface `TransportViewMBean`

    - #### getMaxSizeSent

          public long getMaxSizeSent()

      Specified by:
        `getMaxSizeSent` in interface `TransportViewMBean`

    - #### getAvgSizeSent

          public double getAvgSizeSent()

      Specified by:
        `getAvgSizeSent` in interface `TransportViewMBean`

    - #### getResponseCodeTable

          public Map getResponseCodeTable()

      Specified by:
        `getResponseCodeTable` in interface `TransportViewMBean`

    - #### start

          public void start()
                     throws Exception

      Specified by:
        `start` in interface `TransportViewMBean`
      Throws:
        `Exception`

    - #### stop

          public void stop()
                    throws Exception

      Specified by:
        `stop` in interface `TransportViewMBean`
      Throws:
        `Exception`

    - #### resetStatistics

          public void resetStatistics()

      Specified by:
        `resetStatistics` in interface `TransportViewMBean`

    - #### getLastResetTime

          public long getLastResetTime()

      Specified by:
        `getLastResetTime` in interface `TransportViewMBean`

    - #### getMetricsWindow

          public long getMetricsWindow()

      Specified by:
        `getMetricsWindow` in interface `TransportViewMBean`